> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# generate pdf



## OpenAPI

````yaml /billing.openapi.json post /template-engine/api/pdf/generate
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /template-engine/api/pdf/generate:
    post:
      tags:
        - invoice pdf
      summary: generate pdf
      parameters:
        - name: trace-id
          in: header
          description: ''
          required: false
          example: '{{$string.uuid}}'
          schema:
            type: string
            default: '{{$string.uuid}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                objectType:
                  type: string
                  description: invoice
                  const: invoice
                objectId:
                  type: string
                  description: invoice id
                templateId:
                  type: string
                  description: invoice template id
                name:
                  type: string
                  description: name of this pdf document,e.g. INV-000000001
              required:
                - objectType
                - objectId
                - templateId
                - name
            example:
              objectType: invoice
              objectId: ed0633b2-b1b5-4c0e-98a2-0912483e7eda
              templateId: '{{template_id}}'
              name: INV-000000049
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````